GNU logs - #27667, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#27667: 26.0.50; Dynamic menu is not updated (gtk3 + hidpi scaling)
Resent-From: jsynacek@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 12 Jul 2017 13:03:02 +0000
Resent-Message-ID: <handler.27667.B.14998645285002 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 27667
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 27667 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.14998645285002
          (code B ref -1); Wed, 12 Jul 2017 13:03:02 +0000
Received: (at submit) by debbugs.gnu.org; 12 Jul 2017 13:02:08 +0000
Received: from localhost ([127.0.0.1]:34877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dVHHM-0001Ic-4r
	for submit <at> debbugs.gnu.org; Wed, 12 Jul 2017 09:02:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsynacek@HIDDEN>) id 1dVHHK-0001I9-Mk
 for submit <at> debbugs.gnu.org; Wed, 12 Jul 2017 09:02:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jsynacek@HIDDEN>) id 1dVHHE-00040U-D4
 for submit <at> debbugs.gnu.org; Wed, 12 Jul 2017 09:02:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40402)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jsynacek@HIDDEN>) id 1dVHHE-00040N-9I
 for submit <at> debbugs.gnu.org; Wed, 12 Jul 2017 09:02:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46456)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jsynacek@HIDDEN>) id 1dVHHC-0001uQ-K5
 for bug-gnu-emacs@HIDDEN; Wed, 12 Jul 2017 09:01:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jsynacek@HIDDEN>) id 1dVHH7-0003xW-Ov
 for bug-gnu-emacs@HIDDEN; Wed, 12 Jul 2017 09:01:58 -0400
Received: from mx1.redhat.com ([209.132.183.28]:57230)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jsynacek@HIDDEN>) id 1dVHH7-0003wr-Fg
 for bug-gnu-emacs@HIDDEN; Wed, 12 Jul 2017 09:01:53 -0400
Received: from smtp.corp.redhat.com (int-mx03.intmail.prod.int.phx2.redhat.com
 [10.5.11.13])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by mx1.redhat.com (Postfix) with ESMTPS id 405181555A
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Jul 2017 13:01:51 +0000 (UTC)
DMARC-Filter: OpenDMARC Filter v1.3.2 mx1.redhat.com 405181555A
Authentication-Results: ext-mx05.extmail.prod.ext.phx2.redhat.com;
 dmarc=none (p=none dis=none) header.from=redhat.com
Authentication-Results: ext-mx05.extmail.prod.ext.phx2.redhat.com;
 spf=pass smtp.mailfrom=jsynacek@HIDDEN
DKIM-Filter: OpenDKIM Filter v2.11.0 mx1.redhat.com 405181555A
Received: from localhost-live (unknown [10.43.7.219])
 by smtp.corp.redhat.com (Postfix) with ESMTPS id 8A4FD6E509
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Jul 2017 13:01:50 +0000 (UTC)
From: jsynacek@HIDDEN
Date: Wed, 12 Jul 2017 15:00:46 +0200
Message-ID: <87wp7dajy9.fsf@localhost-live>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Scanned-By: MIMEDefang 2.79 on 10.5.11.13
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.5.16
 (mx1.redhat.com [10.5.110.29]); Wed, 12 Jul 2017 13:01:51 +0000 (UTC)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)


Reproducible on the current master (commit d014a5e15c1110af77e7a96f06ccd0f0=
cafb099f).

Steps to reproduce:
0) Use gnome-tweak-tool to set scaling to 2x ("Windows" -> "Window
scaling" -> set to 2)
   This step is very important, it makes this bug reproducible.
1) $ emacs -Q first.py
2) C-x C-f ~/second.html
3) Click the "SGML" menu
4) Observe a tiny rectangular area with nothing in it

If I start emacs as "emacs -Q second.hmtl" the menu is fine.

Originally reported at: https://bugzilla.redhat.com/show_bug.cgi?id=3D13841=
85


In GNU Emacs 26.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.16)
 of 2017-07-12 built on localhost-live
Repository revision: d014a5e15c1110af77e7a96f06ccd0f0cafb099f
Windowing system distributor 'Fedora Project', version 11.0.11903000
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Can=E2=80=99t guess python-indent-offset, using defaults: 4
Quit
Making completion list...
delete-backward-char: Text is read-only [4 times]
Making completion list... [2 times]
funcall-interactively: End of buffer [3 times]

Configured using:
 'configure --with-dbus --with-gif --with-jpeg --with-png --with-rsvg
 --with-tiff --with-xft --with-xpm --with-x-toolkit=3Dgtk3 --with-gpm=3Dno'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Python

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils python easymenu tramp-sh tramp
tramp-compat tramp-loaddefs trampver ucs-normalize shell pcomplete
parse-time format-spec advice auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map seq byte-opt gv bytecomp
byte-compile cconv comint ring cl-loaddefs cl-lib ansi-color time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 225308 11470)
 (symbols 48 22426 1)
 (miscs 40 49 151)
 (strings 32 37030 1286)
 (string-bytes 1 1098813)
 (vectors 16 39761)
 (vector-slots 8 761484 10766)
 (floats 8 67 113)
 (intervals 56 226 0)
 (buffers 976 13))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: jsynacek@HIDDEN
Subject: bug#27667: Acknowledgement (26.0.50; Dynamic menu is not updated
 (gtk3 + hidpi scaling))
Message-ID: <handler.27667.B.14998645285002.ack <at> debbugs.gnu.org>
References: <87wp7dajy9.fsf@localhost-live>
X-Gnu-PR-Message: ack 27667
X-Gnu-PR-Package: emacs
Reply-To: 27667 <at> debbugs.gnu.org
Date: Wed, 12 Jul 2017 13:03:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 27667 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
27667: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D27667
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#27667: 26.0.50; Dynamic menu is not updated (gtk3 + hidpi scaling)
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 17 Jul 2017 15:08:01 +0000
Resent-Message-ID: <handler.27667.B27667.1500304069827 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 27667
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: jsynacek@HIDDEN
Cc: 27667 <at> debbugs.gnu.org
Received: via spool by 27667-submit <at> debbugs.gnu.org id=B27667.1500304069827
          (code B ref 27667); Mon, 17 Jul 2017 15:08:01 +0000
Received: (at 27667) by debbugs.gnu.org; 17 Jul 2017 15:07:49 +0000
Received: from localhost ([127.0.0.1]:44627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dX7cj-0000DC-70
	for submit <at> debbugs.gnu.org; Mon, 17 Jul 2017 11:07:49 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:46103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1dX7cg-0000D2-3d
 for 27667 <at> debbugs.gnu.org; Mon, 17 Jul 2017 11:07:46 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=stories)
 by hermes.netfonds.no with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128) (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1dX7cc-0002AM-Up; Mon, 17 Jul 2017 17:07:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87wp7dajy9.fsf@localhost-live>
Date: Mon, 17 Jul 2017 17:07:42 +0200
In-Reply-To: <87wp7dajy9.fsf@localhost-live> (jsynacek's message of "Wed, 12
 Jul 2017 15:00:46 +0200")
Message-ID: <m360erqeyp.fsf@stories>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

jsynacek@HIDDEN writes:

> Reproducible on the current master (commit d014a5e15c1110af77e7a96f06ccd0f0cafb099f).
>
> Steps to reproduce:
> 0) Use gnome-tweak-tool to set scaling to 2x ("Windows" -> "Window
> scaling" -> set to 2)
>    This step is very important, it makes this bug reproducible.
> 1) $ emacs -Q first.py
> 2) C-x C-f ~/second.html
> 3) Click the "SGML" menu
> 4) Observe a tiny rectangular area with nothing in it
>
> If I start emacs as "emacs -Q second.hmtl" the menu is fine.

This should be fixed on master now, I think -- at least I'm unable to
reproduce it now.  Could you check and reopen if it's still an issue?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 17 Jul 2017 15:07:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 17 11:07:52 2017
Received: from localhost ([127.0.0.1]:44629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dX7cm-0000DR-H4
	for submit <at> debbugs.gnu.org; Mon, 17 Jul 2017 11:07:52 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:46109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1dX7ci-0000DB-Vy
 for control <at> debbugs.gnu.org; Mon, 17 Jul 2017 11:07:49 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=stories)
 by hermes.netfonds.no with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128) (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1dX7cg-0002In-Vc
 for control <at> debbugs.gnu.org; Mon, 17 Jul 2017 17:07:48 +0200
Date: Mon, 17 Jul 2017 17:07:46 +0200
Message-Id: <m34lubqeyl.fsf@stories>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #27667
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

tags 27667 fixed
close 27667 




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 17 Jul 2017 15:07:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 17 11:07:52 2017
Received: from localhost ([127.0.0.1]:44629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dX7cm-0000DR-H4
	for submit <at> debbugs.gnu.org; Mon, 17 Jul 2017 11:07:52 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:46109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1dX7ci-0000DB-Vy
 for control <at> debbugs.gnu.org; Mon, 17 Jul 2017 11:07:49 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=stories)
 by hermes.netfonds.no with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128) (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1dX7cg-0002In-Vc
 for control <at> debbugs.gnu.org; Mon, 17 Jul 2017 17:07:48 +0200
Date: Mon, 17 Jul 2017 17:07:46 +0200
Message-Id: <m34lubqeyl.fsf@stories>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #27667
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

tags 27667 fixed
close 27667 




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#27667: 26.0.50; Dynamic menu is not updated (gtk3 + hidpi scaling)
Resent-From: Jan Synacek <jsynacek@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 18 Jul 2017 06:23:01 +0000
Resent-Message-ID: <handler.27667.B27667.150035894613462 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 27667
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: fixed
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 27667 <at> debbugs.gnu.org
Received: via spool by 27667-submit <at> debbugs.gnu.org id=B27667.150035894613462
          (code B ref 27667); Tue, 18 Jul 2017 06:23:01 +0000
Received: (at 27667) by debbugs.gnu.org; 18 Jul 2017 06:22:26 +0000
Received: from localhost ([127.0.0.1]:45235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dXLtm-0003V1-Np
	for submit <at> debbugs.gnu.org; Tue, 18 Jul 2017 02:22:26 -0400
Received: from mail-lf0-f42.google.com ([209.85.215.42]:33655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jsynacek@HIDDEN>) id 1dXLtg-0003Uj-Ju
 for 27667 <at> debbugs.gnu.org; Tue, 18 Jul 2017 02:22:20 -0400
Received: by mail-lf0-f42.google.com with SMTP id z78so5979837lff.0
 for <27667 <at> debbugs.gnu.org>; Mon, 17 Jul 2017 23:22:16 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=Prpqxu4P3NNpJ7SjCsFhBWkUsec8v9h9OkGC2a+eNOI=;
 b=jtpyOJvkpWBU5DT4fWYFjh4XtPaCWxqztqxpXWOSwbMRjgiPe5fZa6pJYu1wzl2PmL
 YAaNryEUPsjnSS+C/TA4xk2Lh7Mc+EGPyDuFKp4Rhq57meUwNIFxdk7HbqIpbcATmOsE
 6sBrCnL6wyYsVVEU7BfAeHm9G5/dLIyw8yN9Z1U0r098vCojYnRblPE+AE/i7aeac4Af
 OVqsWLZmunXwR87FbUcI/WIG+2vZ1ho7FN4Bfb1l1t9jMQk+i/DjSYsNLFT6V0zOqR3d
 UrXR/u/7vB46xh9HRjTR2Mr9lyniQNqe6HA4Xh2wZA+BnXn+qO4QFzw+2XR6+YLUT8hX
 X/Tg==
X-Gm-Message-State: AIVw112BTYCu6kERuCemq7k64Z5hVgzPYlhx7P7qwb9hR0lG9154NeGS
 MK+mWL0+fNmE0B1h3qoPaFYVG+fGk79e
X-Received: by 10.46.0.101 with SMTP id 98mr46973lja.114.1500358930626; Mon,
 17 Jul 2017 23:22:10 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.46.84.69 with HTTP; Mon, 17 Jul 2017 23:22:09 -0700 (PDT)
In-Reply-To: <m360erqeyp.fsf@stories>
References: <87wp7dajy9.fsf@localhost-live> <m360erqeyp.fsf@stories>
From: Jan Synacek <jsynacek@HIDDEN>
Date: Tue, 18 Jul 2017 08:22:09 +0200
Message-ID: <CAPsXM8XMY+dQ6-m6Xn2W7-fbE7YV+noLGEW3zOniTQ1Z-GAwqg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Mon, Jul 17, 2017 at 5:07 PM, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> jsynacek@HIDDEN writes:
>
>> Reproducible on the current master (commit d014a5e15c1110af77e7a96f06ccd0f0cafb099f).
>>
>> Steps to reproduce:
>> 0) Use gnome-tweak-tool to set scaling to 2x ("Windows" -> "Window
>> scaling" -> set to 2)
>>    This step is very important, it makes this bug reproducible.
>> 1) $ emacs -Q first.py
>> 2) C-x C-f ~/second.html
>> 3) Click the "SGML" menu
>> 4) Observe a tiny rectangular area with nothing in it
>>
>> If I start emacs as "emacs -Q second.hmtl" the menu is fine.
>
> This should be fixed on master now, I think -- at least I'm unable to
> reproduce it now.  Could you check and reopen if it's still an issue?

I can still reproduce this in the same way, commit
0083123499cc29e301c197218d3809b225675e57.
Under wayland, I'm also seeing asserts like these when clicking the SGML menu:

(emacs:14599): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
assertion 'extra_space >= 0' failed

Not sure if those are relevant.

Cheers,
-- 
Jan Synacek
Software Engineer, Red Hat




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Tue, 18 Jul 2017 06:46:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 9 Nov 2018 20:21:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 09 15:21:14 2018
Received: from localhost ([127.0.0.1]:43973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gLDHG-0008Sy-C7
	for submit <at> debbugs.gnu.org; Fri, 09 Nov 2018 15:21:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gLDHE-0008Sl-Lf
 for control <at> debbugs.gnu.org; Fri, 09 Nov 2018 15:21:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1gLDH8-0000V7-Fm
 for control <at> debbugs.gnu.org; Fri, 09 Nov 2018 15:21:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42989)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gLDH2-0000NP-FA
 for control <at> debbugs.gnu.org; Fri, 09 Nov 2018 15:21:02 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1gLDH0-0006z9-W0
 for control <at> debbugs.gnu.org; Fri, 09 Nov 2018 15:21:00 -0500
Subject: control message for bug 27667
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1gLDH0-0006z9-W0@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Fri, 09 Nov 2018 15:20:58 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

tag 27667 =




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 11 Feb 2019 18:32:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 13:32:04 2019
Received: from localhost ([127.0.0.1]:44076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtGNA-0007KG-IO
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 13:32:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gtGN9-0007EL-6O
 for control <at> debbugs.gnu.org; Mon, 11 Feb 2019 13:32:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36379)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gtGN3-0001zU-Qi
 for control <at> debbugs.gnu.org; Mon, 11 Feb 2019 13:31:57 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1gtGN3-0005JH-OB
 for control <at> debbugs.gnu.org; Mon, 11 Feb 2019 13:31:57 -0500
Subject: control message for bug 34440
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1gtGN3-0005JH-OB@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Mon, 11 Feb 2019 13:31:57 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 27667 34440




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 12 Feb 2019 17:54:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 12:54:48 2019
Received: from localhost ([127.0.0.1]:45142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtcGd-0001mn-LZ
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 12:54:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gtcGb-0001ma-Uk
 for control <at> debbugs.gnu.org; Tue, 12 Feb 2019 12:54:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57434)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gtcGV-0002h3-H7
 for control <at> debbugs.gnu.org; Tue, 12 Feb 2019 12:54:39 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1gtcGV-0003eT-Dh
 for control <at> debbugs.gnu.org; Tue, 12 Feb 2019 12:54:39 -0500
Subject: control message for bug 34440
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1gtcGV-0003eT-Dh@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Tue, 12 Feb 2019 12:54:39 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

unmerge 34440





Last modified: Tue, 12 Feb 2019 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.